<?php

////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2019-12-18 09:52:04
////////////////////


/**
 * Static Model subSkill 
 */
class sm_subSkill
{

    /**
    * @var Int32 用途未知！！请到数据库中添加字段注释。  
    */
    public $id;

    /**
    * @var Int32 子技能ID  
    */
    public $subSkillId;

    /**
    * @var Int32 所属主技能Id  
    */
    public $mainSkillId;

    /**
    * @var Int32 子技能等级  
    */
    public $level;

    /**
    * @var Int32 升级后的技能ID  
    */
    public $nextLevel_Id;

    /**
    * @var Int32 技能影响目标：
    *  1.自身
    *  2.全体  
    */
    public $targetType;

    /**
    * @var Int32 技能效果：
    *  1.攻击速度增减（数值&百分比）
    *  2.移动速度增减（数值&百分比）
    *  3.物攻增减（数值&百分比）
    *  4.护甲增减（数值&百分比）
    *  5.言攻增减（数值&百分比）
    *  6.言抗增减（数值&百分比）
    *  7.暴击几率增减（百分比）
    *  8.暴击伤害增减（百分比）
    *  9.物理伤害增减（数值&百分比）
    *  10.言攻伤害增减（数值&百分比）
    *  11.回复生命（数值&百分比）
    *  12.技能冷却时间增减（数值）
    *  13.技能持续时间增减（数值）
    *  14.言能初始值增减（数值）
    *  15.Buff/Debuff效果（流血、虚弱）  
    */
    public $subSkillType;

    /**
    * @var String 起效所需的参数  
    */
    public $actionParameter;

    /**
    * @var Int32 技能触发类型：
    *  1.普攻概率触发
    *  2.普攻累计连击次数
    *  3.普攻暴击触发
    *  4.普攻最后一击触发
    *  5.必杀技释放
    *  6.必杀技持续时间内
    *  7.闪避/冲刺触发
    *  8.极限闪避触发
    *  9.极限闪避持续时间内
    *  10.角色生命（百分比）
    *  11.击破护盾  
    */
    public $triggerType;

    /**
    * @var String 触发所需参数  
    */
    public $triggerParameter;

    /**
    * @var Int32 解锁条件类型: 1 角色等级, 2 角色品阶  
    */
    public $unlockConditionType;

    /**
    * @var String 解锁条件所需参数(  level值或者 SABCD)  
    */
    public $unlockParameter;

    /**
    * @var String 解锁费用(金币)  
    */
    public $unlockCost;

    /**
    * @var Int32 升级条件类型: 1 角色等级 2 角色品阶  
    */
    public $upgradeConditionType;

    /**
    * @var String 升级条件所需参数(  level值或者 SABCD)  
    */
    public $upgradeParameter;

    /**
    * @var String 升级所需费用(金币)  
    */
    public $upgradeCost;

    /**
    * @var String 技能名称  
    */
    public $name;

    /**
    * @var String 技能描述  
    */
    public $desc;

}

