<?php

namespace loyalsoft;

/**
 * 《神兽宝鉴》
 * 玩家的《神兽宝鉴》点亮了多少图标
 */
class HeroManualModel
{

    /**
     * 《玩家宝鉴》的成长度（经验）
     * 获得新的神兽（蛋）或者神兽升阶的时候增加成长度
     * @var type
     */
    public $exp = 0;

    /**
     * 神兽图鉴序列
     * @var stdClass {30100" : [0], "30101" : [0, 1, 2]}
     */
    public $godpetDic;

    /**
     * 神兽星星记录
     * @var obj {30100" : [0], "30101" : [0, 1, 2]}
     */
    public $godpetStarDic;

    /**
     * 已经领取的奖励记录
     * @var stdClass {30100" : [0], "30101" : [0, 1, 2]}
     */
    public $rewarded;

    /**
     * 属性套装
     * @var obj {elements:{e:3,f:3,w:0},extra:{a,d,h,s}}
     */
    public $attributeSuits;

    /**
     * 星套套装
     * @var obj  {elements:{e:3,f:3,w:0},extra:{a,d,h,s}}
     */
    public $starSuits;

    function initInstance()
    {
        $this->godpetDic = ObjectInit();
        $this->rewarded = ObjectInit();
        $this->attributeSuits = ObjectInit();
        $this->starSuits = ObjectInit();
    }

}
