<?php

namespace loyalsoft;

/**
 * Description of StoreModel
 * 玩家背包/仓库数据模型
 * @author gwang
 */
class StoreModel extends Object_ext {

    /**
     * 其他道具
     * @var array
     */
    public $items;

    /**
     * 已获得英雄卡牌道具,不叠加
     * @var array
     */
    public $cards;

    /**
     * 装备, 待定
     * @var type
     */
    public $equipment;

    /**
     * 宝箱
     * @var array
     */
    public $boxes;

    /**
     * 英雄碎片,叠加
     * @var object
     * @deprecated since version 0
     */
    public $segement;

//    /**
//     * 七宗罪元素(炼金元素)
//     * @var object
//     * @deprecated since version 0
//     */
//    public $element;

    /**
     * 石头,叠加
     * @var object
     * @deprecated since version 0
     */
    public $stones;

    /**
     * 玩家注册时初始化
     */
    public function initialize() {
        $this->boxes = GameConfig::primordial_data()->User_Store_boxes;
        //array('701001' => 0, '702002' => 0, '703003' => 0, '704004' => 0);
        $this->cards = ArrayInit();
        $this->items = GameConfig::primordial_data()->User_Store_items;         # 初始含有一张黄金通知书
        $this->equipment = ObjectInit();
        $this->segement = GameConfig::primordial_data()->User_Store_segment;    # 碎片
        $this->stones = ObjectInit();
//        $this->element = GameConfig::primordial_data()->User_Store_element;
        //array('388001' => 0, '388002' => 0, '388003' => 0, '388004' => 0, '388005' => 0, '388006' => 0, '388007' => 0);
    }

}
