<?php

namespace loyalsoft;

/**
 * 副本状态数据
 * @version
 *          1.0.0 Created at 2017-5-18. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-5-18, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class CarbonModel
{
    /**
     *   副本设计: 依附于关卡, 需要用关卡掉落的道具开启副本,
     *            开启后, 可从关卡界面进入副本, 副本中含有一系列的小关卡.
     *            副本开启后立即开始关闭倒计时,倒计时结束,副本关闭, 可以再次重复开启流程.
     *            副本通关后立即关闭副本.
     *            副本关卡战斗,类似于普通关卡战斗, 同样会有掉落.
     *            副本也有三个难度.
     */

    /**
     * @var int 推进关卡索引
     */
    public $curIndex = 0;

    /**
     *
     * @var int 何时关闭的时间戳
     */
    public $closeTs = 0;

}
