<?php

namespace loyalsoft;

/**
 *  extends Object
 * @version
 *          1.0.0 Created at 2017-7-4. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-7-4, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class UserPVPModel extends Object_ext
{

    /**
     * 当前阶段,1~32
     * @var int 所处阶段
     */
    public $leagueId = 1;

    /**
     * @var ts 体力时间戳
     */
    public $tiliTs = 0;

    /**
     * @var int 体力溢出值,ugly
     */
    public $tiliExtra = 0;

    /**
     * @var ts 挑战对手,下次刷新时间
     */
    public $nextRefreshTs = 0;

    /**
     * @var int 获胜次数(每周清零)
     */
    public $winTimes = 0;

    /**
     * @var int 总挑战次数(每周清零)
     */
    public $totalTimes = 0;

    /**
     * @var int 连胜次数(每周清零)
     */
    public $contWin = 0;

    /**
     * @var int 活跃值
     */
    public $actives = 0;

    /**
     * @var int 每日/当日挑战计数
     */
    public $dailyPkCnt = 0;

    /**
     *
     * @var int 每日/当日购买体力次数
     */
    public $dailyBuyTiliTimes = 0;

    /**
     *
     * @var int 每日/当日刷新对手次数
     */
    public $dailyRefreshMatchTimes = 0;

    /**
     * @var array[string] 每日/当天已挑战对手记录
     */
    public $dailyMatchRecord = array();

    /**
     * @var int pvp币
     */
    public $pvpCoins = 0;

    /**
     * @var array 每周结算奖励领取记录
     */
    public $weeklyRewardRecords = array();

    /**
     * @var asoc_array 当前匹配对手列表
     */
    public $curMatches;

    public function clearWeekData()
    {
        $this->totalTimes = 0;
        $this->winTimes = 0;
        $this->contWin = 0;
    }

}
