<?php

namespace loyalsoft;

/**
 * Description of ConstProc
 * 常量数据处理流程
 * 负责向客户端提供基本的数据配置信息
 * 及服务端常量数据检索
 * @author gwang
 */
class ConstProc {

    /**
     * 逻辑分发
     * 所有的Proc中必须有这样一个方法
     * @param type $req
     */
    public static function procMain($req) {
        return Resp::err(ErrCode::err_method_notimplement);
    }

    /**
     * 获取物品常量
     * @param string $itemID
     * @return GoodsItemModel
     */
    static public function getGoodsItemConst($itemID) {
        return GameConfig::item_getItem($itemID);
    }

}
